A simple script that accepts a PDF file over HTTP and prints it.

Usage:

* `print.php?action=list`: Returns a JSON list of available printers.
  * Example response: `{"printers": ["canon-123", "brother-etc"]}`
* `print.php?action=print&printer=[printername]`: Print a PDF to the specified printer. The request body shall contain the PDF document.
  * Example curl command: `curl --data-binary "@/home/user/test.pdf" "http://localhost/print.php?action=print&printer=brother-etc"`
  * Response: `{"printed": true}`

Requires `lp`, `lpstat`, and `pdfinfo` commands to be available.